- Qt 5.5
- Qt3D Module
- C++ Classes
- QScenePropertyChange
- Qt 5.5.1 Reference Documentation

# QScenePropertyChange Class

(Qt3D::QScenePropertyChange)

Header: | #include <QScenePropertyChange>
qmake: | QT += 3dcore
Inherits: | QSceneChange
Inherited By: | Qt3D::QBackendScenePropertyChange

- List of all members, including inherited members

## Public Functions

| QScenePropertyChange(ChangeFlag type, ObservableType observableType, const QNodeId & subjectId, Priority priority = Standard)
virtual | ~QScenePropertyChange()
const char * | propertyName() const
void | setPropertyName(const char * name)
void | setValue(const QVariant & value)
QVariant | value() const

- 5 public functions inherited from Qt3D::QSceneChange

## Static Public Members

void | operatordelete(void * ptr, size_t size)
void * | operatornew(size_t size)

## Protected Functions

| QScenePropertyChange(QScenePropertyChangePrivate & dd, ChangeFlag type, ObservableType observableType, const QNodeId & subjectId, Priority priority = Standard)

## Detailed Description

## Member Function Documentation

### QScenePropertyChange::QScenePropertyChange(ChangeFlag type, ObservableType observableType, const QNodeId & subjectId, Priority priority = Standard)

### `[protected]` QScenePropertyChange::QScenePropertyChange(QScenePropertyChangePrivate & dd, ChangeFlag type, ObservableType observableType, const QNodeId & subjectId, Priority priority = Standard)

### `[virtual]` QScenePropertyChange::~QScenePropertyChange()

### `[static]` void QScenePropertyChange::operatordelete(void * ptr, size_t size)

### `[static]` void * QScenePropertyChange::operatornew(size_t size)

### const char * QScenePropertyChange::propertyName() const

See also setPropertyName().

### void QScenePropertyChange::setPropertyName(const char * name)

See also propertyName().

### void QScenePropertyChange::setValue(const QVariant & value)

See also value().

### QVariant QScenePropertyChange::value() const

See also setValue().